//
//  CrownOfThorns.swift
//  gloss
//
//  Created by Saint on 3/3/23.
//

import Foundation
import SwiftUI
//
struct MyCustomShape: Shape {
    func path(in rect: CGRect) -> Path {
        var path = Path()
        let width = rect.size.width * 0.1
        let height = rect.size.height * 0.1
        path.move(to: CGPoint(x: 4.00952*width, y: 9.57692*height))
        path.addCurve(to: CGPoint(x: 3.80952*width, y: 9.125*height), control1: CGPoint(x: 3.9*width, y: 9.34615*height), control2: CGPoint(x: 3.80952*width, y: 9.14423*height))
        path.addCurve(to: CGPoint(x: 4.19048*width, y: 9.23558*height), control1: CGPoint(x: 3.80952*width, y: 9.04808*height), control2: CGPoint(x: 3.98571*width, y: 9.10096*height))
        path.addCurve(to: CGPoint(x: 4.84286*width, y: 9.51442*height), control1: CGPoint(x: 4.46667*width, y: 9.41346*height), control2: CGPoint(x: 4.59524*width, y: 9.47115*height))
        path.addCurve(to: CGPoint(x: 5.1619*width, y: 9.40385*height), control1: CGPoint(x: 5.03333*width, y: 9.55288*height), control2: CGPoint(x: 5.05238*width, y: 9.54327*height))
        path.addLine(to: CGPoint(x: 5.27619*width, y: 9.25481*height))
        path.addLine(to: CGPoint(x: 5.32857*width, y: 9.38942*height))
        path.addCurve(to: CGPoint(x: 5.54762*width, y: 9.51923*height), control1: CGPoint(x: 5.37143*width, y: 9.49519*height), control2: CGPoint(x: 5.40952*width, y: 9.51923*height))
        path.addCurve(to: CGPoint(x: 6.28095*width, y: 9.14423*height), control1: CGPoint(x: 5.8*width, y: 9.51923*height), control2: CGPoint(x: 6.01905*width, y: 9.40865*height))
        path.addCurve(to: CGPoint(x: 6.62381*width, y: 8.05769*height), control1: CGPoint(x: 6.7*width, y: 8.72115*height), control2: CGPoint(x: 6.8381*width, y: 8.28846*height))
        path.addCurve(to: CGPoint(x: 6.75238*width, y: 7.78365*height), control1: CGPoint(x: 6.49048*width, y: 7.91346*height), control2: CGPoint(x: 6.51905*width, y: 7.86058*height))
        path.addCurve(to: CGPoint(x: 7.49048*width, y: 7.26442*height), control1: CGPoint(x: 6.95238*width, y: 7.72115*height), control2: CGPoint(x: 7.1619*width, y: 7.57212*height))
        path.addCurve(to: CGPoint(x: 7.69048*width, y: 6.81731*height), control1: CGPoint(x: 7.71905*width, y: 7.04808*height), control2: CGPoint(x: 7.71905*width, y: 7.04808*height))
        path.addCurve(to: CGPoint(x: 7.68571*width, y: 6.58654*height), control1: CGPoint(x: 7.67143*width, y: 6.69231*height), control2: CGPoint(x: 7.67143*width, y: 6.58654*height))
        path.addCurve(to: CGPoint(x: 7.89524*width, y: 6.67788*height), control1: CGPoint(x: 7.70476*width, y: 6.58654*height), control2: CGPoint(x: 7.8*width, y: 6.62981*height))
        path.addLine(to: CGPoint(x: 8.07619*width, y: 6.76923*height))
        path.addLine(to: CGPoint(x: 8.2619*width, y: 6.65385*height))
        path.addCurve(to: CGPoint(x: 8.57143*width, y: 6.58654*height), control1: CGPoint(x: 8.4619*width, y: 6.53365*height), control2: CGPoint(x: 8.57143*width, y: 6.50962*height))
        path.addCurve(to: CGPoint(x: 8.19048*width, y: 7.03846*height), control1: CGPoint(x: 8.57143*width, y: 6.61058*height), control2: CGPoint(x: 8.4*width, y: 6.81731*height))
        path.addCurve(to: CGPoint(x: 7.80952*width, y: 7.47596*height), control1: CGPoint(x: 7.98095*width, y: 7.26442*height), control2: CGPoint(x: 7.80952*width, y: 7.46154*height))
        path.addCurve(to: CGPoint(x: 7.94286*width, y: 7.55288*height), control1: CGPoint(x: 7.80952*width, y: 7.49038*height), control2: CGPoint(x: 7.86667*width, y: 7.52404*height))
        path.addCurve(to: CGPoint(x: 7.98095*width, y: 7.67308*height), control1: CGPoint(x: 8.06667*width, y: 7.60096*height), control2: CGPoint(x: 8.06667*width, y: 7.60577*height))
        path.addCurve(to: CGPoint(x: 7.78095*width, y: 7.74038*height), control1: CGPoint(x: 7.92857*width, y: 7.71154*height), control2: CGPoint(x: 7.8381*width, y: 7.74038*height))
        path.addCurve(to: CGPoint(x: 7.09524*width, y: 8.35577*height), control1: CGPoint(x: 7.48571*width, y: 7.74038*height), control2: CGPoint(x: 7.2381*width, y: 7.96154*height))
        path.addCurve(to: CGPoint(x: 6.54286*width, y: 9.29808*height), control1: CGPoint(x: 6.94286*width, y: 8.76923*height), control2: CGPoint(x: 6.82857*width, y: 8.95673*height))
        path.addCurve(to: CGPoint(x: 6.32381*width, y: 9.79327*height), control1: CGPoint(x: 6.27619*width, y: 9.61538*height), control2: CGPoint(x: 6.27143*width, y: 9.625*height))
        path.addCurve(to: CGPoint(x: 6.3619*width, y: 9.99038*height), control1: CGPoint(x: 6.35238*width, y: 9.89423*height), control2: CGPoint(x: 6.37143*width, y: 9.98077*height))
        path.addCurve(to: CGPoint(x: 6.06667*width, y: 9.95673*height), control1: CGPoint(x: 6.35238*width, y: 10.0*height), control2: CGPoint(x: 6.21905*width, y: 9.98558*height))
        path.addCurve(to: CGPoint(x: 4.28571*width, y: 9.96635*height), control1: CGPoint(x: 5.37619*width, y: 9.83654*height), control2: CGPoint(x: 4.61429*width, y: 9.84135*height))
        path.addCurve(to: CGPoint(x: 4.00952*width, y: 9.57692*height), control1: CGPoint(x: 4.23333*width, y: 9.98558*height), control2: CGPoint(x: 4.1619*width, y: 9.88462*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 2.44762*width, y: 9.34135*height))
        path.addCurve(to: CGPoint(x: 2.2619*width, y: 9.03846*height), control1: CGPoint(x: 2.37619*width, y: 9.12019*height), control2: CGPoint(x: 2.32857*width, y: 9.03846*height))
        path.addCurve(to: CGPoint(x: 1.76667*width, y: 8.62981*height), control1: CGPoint(x: 2.22381*width, y: 9.03846*height), control2: CGPoint(x: 2.0*width, y: 8.85577*height))
        path.addCurve(to: CGPoint(x: 1.14286*width, y: 8.22115*height), control1: CGPoint(x: 1.37143*width, y: 8.25481*height), control2: CGPoint(x: 1.31905*width, y: 8.22115*height))
        path.addCurve(to: CGPoint(x: 1.04286*width, y: 8.03846*height), control1: CGPoint(x: 0.92381*width, y: 8.22115*height), control2: CGPoint(x: 0.91905*width, y: 8.21154*height))
        path.addCurve(to: CGPoint(x: 1.18095*width, y: 7.57692*height), control1: CGPoint(x: 1.09048*width, y: 7.96635*height), control2: CGPoint(x: 1.15714*width, y: 7.75962*height))
        path.addCurve(to: CGPoint(x: 1.46667*width, y: 7.57212*height), control1: CGPoint(x: 1.26667*width, y: 7.02404*height), control2: CGPoint(x: 1.38095*width, y: 7.01923*height))
        path.addCurve(to: CGPoint(x: 1.97619*width, y: 8.17308*height), control1: CGPoint(x: 1.52857*width, y: 7.97596*height), control2: CGPoint(x: 1.69524*width, y: 8.17308*height))
        path.addCurve(to: CGPoint(x: 2.17143*width, y: 8.34135*height), control1: CGPoint(x: 2.12381*width, y: 8.17308*height), control2: CGPoint(x: 2.14286*width, y: 8.1875*height))
        path.addCurve(to: CGPoint(x: 3.71429*width, y: 8.69231*height), control1: CGPoint(x: 2.25714*width, y: 8.82212*height), control2: CGPoint(x: 2.84762*width, y: 8.95673*height))
        path.addCurve(to: CGPoint(x: 4.2381*width, y: 8.33654*height), control1: CGPoint(x: 4.01905*width, y: 8.59615*height), control2: CGPoint(x: 4.2381*width, y: 8.45192*height))
        path.addCurve(to: CGPoint(x: 4.30952*width, y: 8.22115*height), control1: CGPoint(x: 4.2381*width, y: 8.30769*height), control2: CGPoint(x: 4.27143*width, y: 8.25481*height))
        path.addCurve(to: CGPoint(x: 4.45714*width, y: 8.34135*height), control1: CGPoint(x: 4.37143*width, y: 8.17308*height), control2: CGPoint(x: 4.39048*width, y: 8.1875*height))
        path.addCurve(to: CGPoint(x: 4.75238*width, y: 8.49519*height), control1: CGPoint(x: 4.52857*width, y: 8.51923*height), control2: CGPoint(x: 4.53333*width, y: 8.52404*height))
        path.addCurve(to: CGPoint(x: 5.77619*width, y: 8.19712*height), control1: CGPoint(x: 5.22381*width, y: 8.4375*height), control2: CGPoint(x: 5.67143*width, y: 8.30769*height))
        path.addCurve(to: CGPoint(x: 6.01905*width, y: 8.0*height), control1: CGPoint(x: 5.83333*width, y: 8.13942*height), control2: CGPoint(x: 5.94286*width, y: 8.04808*height))
        path.addLine(to: CGPoint(x: 6.1619*width, y: 7.90865*height))
        path.addLine(to: CGPoint(x: 6.12857*width, y: 8.02885*height))
        path.addCurve(to: CGPoint(x: 6.07143*width, y: 8.24519*height), control1: CGPoint(x: 6.10952*width, y: 8.09615*height), control2: CGPoint(x: 6.08095*width, y: 8.19231*height))
        path.addCurve(to: CGPoint(x: 6.22381*width, y: 8.4375*height), control1: CGPoint(x: 6.05238*width, y: 8.31731*height), control2: CGPoint(x: 6.08571*width, y: 8.36538*height))
        path.addCurve(to: CGPoint(x: 6.39524*width, y: 8.58173*height), control1: CGPoint(x: 6.32381*width, y: 8.49038*height), control2: CGPoint(x: 6.4*width, y: 8.55769*height))
        path.addCurve(to: CGPoint(x: 5.82381*width, y: 8.65865*height), control1: CGPoint(x: 6.38571*width, y: 8.61058*height), control2: CGPoint(x: 6.13333*width, y: 8.64423*height))
        path.addCurve(to: CGPoint(x: 5.2*width, y: 8.69712*height), control1: CGPoint(x: 5.51429*width, y: 8.67788*height), control2: CGPoint(x: 5.23333*width, y: 8.69231*height))
        path.addCurve(to: CGPoint(x: 5.17143*width, y: 8.82212*height), control1: CGPoint(x: 5.1619*width, y: 8.70192*height), control2: CGPoint(x: 5.15238*width, y: 8.74038*height))
        path.addCurve(to: CGPoint(x: 5.16667*width, y: 9.07212*height), control1: CGPoint(x: 5.18571*width, y: 8.88942*height), control2: CGPoint(x: 5.18571*width, y: 9.0*height))
        path.addLine(to: CGPoint(x: 5.1381*width, y: 9.19712*height))
        path.addLine(to: CGPoint(x: 4.99048*width, y: 9.01923*height))
        path.addCurve(to: CGPoint(x: 4.48571*width, y: 8.81731*height), control1: CGPoint(x: 4.80476*width, y: 8.78846*height), control2: CGPoint(x: 4.65714*width, y: 8.73077*height))
        path.addCurve(to: CGPoint(x: 4.09524*width, y: 8.91346*height), control1: CGPoint(x: 4.41429*width, y: 8.85096*height), control2: CGPoint(x: 4.2381*width, y: 8.89423*height))
        path.addCurve(to: CGPoint(x: 3.59524*width, y: 9.01442*height), control1: CGPoint(x: 3.95238*width, y: 8.93269*height), control2: CGPoint(x: 3.72857*width, y: 8.97596*height))
        path.addCurve(to: CGPoint(x: 3.07143*width, y: 9.11538*height), control1: CGPoint(x: 3.46667*width, y: 9.05288*height), control2: CGPoint(x: 3.22857*width, y: 9.09615*height))
        path.addCurve(to: CGPoint(x: 2.6619*width, y: 9.28365*height), control1: CGPoint(x: 2.84286*width, y: 9.13942*height), control2: CGPoint(x: 2.7619*width, y: 9.17788*height))
        path.addCurve(to: CGPoint(x: 2.44762*width, y: 9.34135*height), control1: CGPoint(x: 2.51429*width, y: 9.44712*height), control2: CGPoint(x: 2.48095*width, y: 9.45192*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 7.67143*width, y: 8.99519*height))
        path.addCurve(to: CGPoint(x: 7.24762*width, y: 8.80769*height), control1: CGPoint(x: 7.44762*width, y: 8.92308*height), control2: CGPoint(x: 7.25714*width, y: 8.83654*height))
        path.addCurve(to: CGPoint(x: 7.70952*width, y: 8.62981*height), control1: CGPoint(x: 7.22381*width, y: 8.73558*height), control2: CGPoint(x: 7.38095*width, y: 8.67788*height))
        path.addCurve(to: CGPoint(x: 8.1619*width, y: 8.40865*height), control1: CGPoint(x: 7.91905*width, y: 8.60096*height), control2: CGPoint(x: 8.00476*width, y: 8.55769*height))
        path.addLine(to: CGPoint(x: 8.35714*width, y: 8.22596*height))
        path.addLine(to: CGPoint(x: 8.24762*width, y: 8.125*height))
        path.addCurve(to: CGPoint(x: 8.3619*width, y: 7.93269*height), control1: CGPoint(x: 8.11429*width, y: 7.99519*height), control2: CGPoint(x: 8.14762*width, y: 7.93269*height))
        path.addCurve(to: CGPoint(x: 8.80952*width, y: 7.08173*height), control1: CGPoint(x: 8.6619*width, y: 7.93269*height), control2: CGPoint(x: 8.80952*width, y: 7.65385*height))
        path.addCurve(to: CGPoint(x: 8.40476*width, y: 5.97115*height), control1: CGPoint(x: 8.80952*width, y: 6.50962*height), control2: CGPoint(x: 8.62381*width, y: 6.00481*height))
        path.addCurve(to: CGPoint(x: 8.28571*width, y: 5.73558*height), control1: CGPoint(x: 8.19048*width, y: 5.9375*height), control2: CGPoint(x: 8.18571*width, y: 5.92308*height))
        path.addCurve(to: CGPoint(x: 8.21429*width, y: 5.0*height), control1: CGPoint(x: 8.4381*width, y: 5.44712*height), control2: CGPoint(x: 8.39524*width, y: 5.0*height))
        path.addCurve(to: CGPoint(x: 8.16667*width, y: 4.76442*height), control1: CGPoint(x: 8.10476*width, y: 5.0*height), control2: CGPoint(x: 8.08571*width, y: 4.91346*height))
        path.addCurve(to: CGPoint(x: 8.16667*width, y: 4.23077*height), control1: CGPoint(x: 8.25714*width, y: 4.58654*height), control2: CGPoint(x: 8.25714*width, y: 4.38942*height))
        path.addCurve(to: CGPoint(x: 8.20952*width, y: 4.0*height), control1: CGPoint(x: 8.0619*width, y: 4.04808*height), control2: CGPoint(x: 8.07619*width, y: 3.97596*height))
        path.addCurve(to: CGPoint(x: 8.52381*width, y: 3.77885*height), control1: CGPoint(x: 8.35714*width, y: 4.02885*height), control2: CGPoint(x: 8.38571*width, y: 4.00962*height))
        path.addCurve(to: CGPoint(x: 8.70476*width, y: 3.68269*height), control1: CGPoint(x: 8.62857*width, y: 3.60096*height), control2: CGPoint(x: 8.6381*width, y: 3.59615*height))
        path.addCurve(to: CGPoint(x: 8.7381*width, y: 4.22115*height), control1: CGPoint(x: 8.75714*width, y: 3.75481*height), control2: CGPoint(x: 8.7619*width, y: 3.87019*height))
        path.addLine(to: CGPoint(x: 8.70952*width, y: 4.66346*height))
        path.addLine(to: CGPoint(x: 8.87619*width, y: 4.66346*height))
        path.addCurve(to: CGPoint(x: 8.92857*width, y: 4.93269*height), control1: CGPoint(x: 9.08095*width, y: 4.66346*height), control2: CGPoint(x: 9.08571*width, y: 4.69712*height))
        path.addCurve(to: CGPoint(x: 8.95238*width, y: 6.39423*height), control1: CGPoint(x: 8.76667*width, y: 5.17308*height), control2: CGPoint(x: 8.77143*width, y: 5.53365*height))
        path.addCurve(to: CGPoint(x: 9.09524*width, y: 7.21635*height), control1: CGPoint(x: 9.03333*width, y: 6.76442*height), control2: CGPoint(x: 9.09524*width, y: 7.13462*height))
        path.addCurve(to: CGPoint(x: 9.29048*width, y: 7.54808*height), control1: CGPoint(x: 9.09524*width, y: 7.41346*height), control2: CGPoint(x: 9.17619*width, y: 7.54808*height))
        path.addCurve(to: CGPoint(x: 9.41429*width, y: 7.625*height), control1: CGPoint(x: 9.34286*width, y: 7.54808*height), control2: CGPoint(x: 9.39524*width, y: 7.58173*height))
        path.addCurve(to: CGPoint(x: 9.15714*width, y: 7.93269*height), control1: CGPoint(x: 9.44286*width, y: 7.70673*height), control2: CGPoint(x: 9.25714*width, y: 7.93269*height))
        path.addCurve(to: CGPoint(x: 8.59524*width, y: 8.39904*height), control1: CGPoint(x: 9.11905*width, y: 7.93269*height), control2: CGPoint(x: 8.86667*width, y: 8.13942*height))
        path.addCurve(to: CGPoint(x: 8.14762*width, y: 8.97596*height), control1: CGPoint(x: 8.14762*width, y: 8.81731*height), control2: CGPoint(x: 8.10952*width, y: 8.87019*height))
        path.addCurve(to: CGPoint(x: 7.67143*width, y: 8.99519*height), control1: CGPoint(x: 8.21905*width, y: 9.17308*height), control2: CGPoint(x: 8.22381*width, y: 9.17308*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 3.50952*width, y: 8.60096*height))
        path.addCurve(to: CGPoint(x: 3.35714*width, y: 8.41827*height), control1: CGPoint(x: 3.46667*width, y: 8.57692*height), control2: CGPoint(x: 3.39524*width, y: 8.49038*height))
        path.addCurve(to: CGPoint(x: 2.52857*width, y: 7.88462*height), control1: CGPoint(x: 3.25238*width, y: 8.21154*height), control2: CGPoint(x: 2.74286*width, y: 7.88462*height))
        path.addCurve(to: CGPoint(x: 2.34762*width, y: 7.69231*height), control1: CGPoint(x: 2.30476*width, y: 7.88462*height), control2: CGPoint(x: 2.28571*width, y: 7.86538*height))
        path.addCurve(to: CGPoint(x: 2.31905*width, y: 7.46154*height), control1: CGPoint(x: 2.39048*width, y: 7.57692*height), control2: CGPoint(x: 2.38571*width, y: 7.53846*height))
        path.addCurve(to: CGPoint(x: 1.36667*width, y: 6.99519*height), control1: CGPoint(x: 2.23333*width, y: 7.37019*height), control2: CGPoint(x: 1.79524*width, y: 7.15385*height))
        path.addCurve(to: CGPoint(x: 0.78571*width, y: 6.58173*height), control1: CGPoint(x: 1.21905*width, y: 6.94231*height), control2: CGPoint(x: 1.00952*width, y: 6.79327*height))
        path.addLine(to: CGPoint(x: 0.43333*width, y: 6.25*height))
        path.addLine(to: CGPoint(x: 0.25714*width, y: 6.35577*height))
        path.addLine(to: CGPoint(x: 0.08095*width, y: 6.46154*height))
        path.addLine(to: CGPoint(x: 0.11429*width, y: 6.24519*height))
        path.addCurve(to: CGPoint(x: 0.17619*width, y: 5.22596*height), control1: CGPoint(x: 0.13333*width, y: 6.12981*height), control2: CGPoint(x: 0.15714*width, y: 5.66827*height))
        path.addCurve(to: CGPoint(x: 0.09524*width, y: 4.30288*height), control1: CGPoint(x: 0.20476*width, y: 4.4375*height), control2: CGPoint(x: 0.2*width, y: 4.41827*height))
        path.addCurve(to: CGPoint(x: 0.20952*width, y: 4.08654*height), control1: CGPoint(x: -0.03333*width, y: 4.16346*height), control2: CGPoint(x: 0.00476*width, y: 4.08654*height))
        path.addCurve(to: CGPoint(x: 0.54762*width, y: 3.96154*height), control1: CGPoint(x: 0.3*width, y: 4.08654*height), control2: CGPoint(x: 0.44286*width, y: 4.03365*height))
        path.addCurve(to: CGPoint(x: 0.97143*width, y: 3.79327*height), control1: CGPoint(x: 0.77143*width, y: 3.80769*height), control2: CGPoint(x: 0.94286*width, y: 3.74038*height))
        path.addCurve(to: CGPoint(x: 0.87619*width, y: 4.00962*height), control1: CGPoint(x: 0.98571*width, y: 3.8125*height), control2: CGPoint(x: 0.94286*width, y: 3.90865*height))
        path.addCurve(to: CGPoint(x: 0.57143*width, y: 4.69712*height), control1: CGPoint(x: 0.71429*width, y: 4.25*height), control2: CGPoint(x: 0.57143*width, y: 4.56731*height))
        path.addCurve(to: CGPoint(x: 0.74286*width, y: 4.87981*height), control1: CGPoint(x: 0.57143*width, y: 4.77885*height), control2: CGPoint(x: 0.61905*width, y: 4.82692*height))
        path.addLine(to: CGPoint(x: 0.91429*width, y: 4.95192*height))
        path.addLine(to: CGPoint(x: 0.83333*width, y: 5.08173*height))
        path.addCurve(to: CGPoint(x: 0.6381*width, y: 5.34135*height), control1: CGPoint(x: 0.78571*width, y: 5.15865*height), control2: CGPoint(x: 0.7*width, y: 5.26923*height))
        path.addCurve(to: CGPoint(x: 0.6381*width, y: 5.80769*height), control1: CGPoint(x: 0.49524*width, y: 5.49038*height), control2: CGPoint(x: 0.49524*width, y: 5.52404*height))
        path.addCurve(to: CGPoint(x: 1.49048*width, y: 6.59135*height), control1: CGPoint(x: 0.79048*width, y: 6.10577*height), control2: CGPoint(x: 1.12381*width, y: 6.41346*height))
        path.addCurve(to: CGPoint(x: 2.08095*width, y: 6.65865*height), control1: CGPoint(x: 1.82381*width, y: 6.75*height), control2: CGPoint(x: 1.93333*width, y: 6.75962*height))
        path.addCurve(to: CGPoint(x: 2.22857*width, y: 6.66827*height), control1: CGPoint(x: 2.17619*width, y: 6.59135*height), control2: CGPoint(x: 2.19048*width, y: 6.59135*height))
        path.addCurve(to: CGPoint(x: 2.30952*width, y: 6.90865*height), control1: CGPoint(x: 2.25238*width, y: 6.71635*height), control2: CGPoint(x: 2.29048*width, y: 6.82692*height))
        path.addCurve(to: CGPoint(x: 3.29048*width, y: 7.74038*height), control1: CGPoint(x: 2.35714*width, y: 7.15385*height), control2: CGPoint(x: 3.05238*width, y: 7.74038*height))
        path.addCurve(to: CGPoint(x: 3.47619*width, y: 7.90865*height), control1: CGPoint(x: 3.43333*width, y: 7.74038*height), control2: CGPoint(x: 3.5619*width, y: 7.85577*height))
        path.addCurve(to: CGPoint(x: 3.54762*width, y: 8.34135*height), control1: CGPoint(x: 3.39524*width, y: 7.96154*height), control2: CGPoint(x: 3.42381*width, y: 8.13942*height))
        path.addCurve(to: CGPoint(x: 3.50952*width, y: 8.60096*height), control1: CGPoint(x: 3.71429*width, y: 8.62019*height), control2: CGPoint(x: 3.70476*width, y: 8.71635*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 1.54762*width, y: 6.19231*height))
        path.addCurve(to: CGPoint(x: 1.47619*width, y: 5.83654*height), control1: CGPoint(x: 1.50952*width, y: 6.05769*height), control2: CGPoint(x: 1.47619*width, y: 5.89423*height))
        path.addCurve(to: CGPoint(x: 1.2619*width, y: 5.43269*height), control1: CGPoint(x: 1.47619*width, y: 5.64904*height), control2: CGPoint(x: 1.38571*width, y: 5.48077*height))
        path.addCurve(to: CGPoint(x: 1.22381*width, y: 5.23077*height), control1: CGPoint(x: 1.11905*width, y: 5.37981*height), control2: CGPoint(x: 1.11429*width, y: 5.35096*height))
        path.addCurve(to: CGPoint(x: 1.14762*width, y: 3.59135*height), control1: CGPoint(x: 1.38095*width, y: 5.05769*height), control2: CGPoint(x: 1.3619*width, y: 4.625*height))
        path.addCurve(to: CGPoint(x: 0.95238*width, y: 2.625*height), control1: CGPoint(x: 1.0381*width, y: 3.06731*height), control2: CGPoint(x: 0.95238*width, y: 2.63462*height))
        path.addCurve(to: CGPoint(x: 0.80952*width, y: 2.54808*height), control1: CGPoint(x: 0.95238*width, y: 2.61538*height), control2: CGPoint(x: 0.89048*width, y: 2.58173*height))
        path.addCurve(to: CGPoint(x: 0.84762*width, y: 2.3125*height), control1: CGPoint(x: 0.61429*width, y: 2.46635*height), control2: CGPoint(x: 0.62857*width, y: 2.37019*height))
        path.addCurve(to: CGPoint(x: 1.11429*width, y: 2.10577*height), control1: CGPoint(x: 0.97143*width, y: 2.27885*height), control2: CGPoint(x: 1.05238*width, y: 2.21154*height))
        path.addCurve(to: CGPoint(x: 1.55714*width, y: 1.58173*height), control1: CGPoint(x: 1.16667*width, y: 2.02404*height), control2: CGPoint(x: 1.36667*width, y: 1.78846*height))
        path.addCurve(to: CGPoint(x: 1.9381*width, y: 1.03846*height), control1: CGPoint(x: 1.82381*width, y: 1.30288*height), control2: CGPoint(x: 1.91429*width, y: 1.16827*height))
        path.addCurve(to: CGPoint(x: 2.0*width, y: 0.84135*height), control1: CGPoint(x: 1.95238*width, y: 0.94231*height), control2: CGPoint(x: 1.98095*width, y: 0.85577*height))
        path.addCurve(to: CGPoint(x: 2.2619*width, y: 0.96635*height), control1: CGPoint(x: 2.01905*width, y: 0.83173*height), control2: CGPoint(x: 2.13333*width, y: 0.88462*height))
        path.addCurve(to: CGPoint(x: 2.6381*width, y: 1.13942*height), control1: CGPoint(x: 2.38571*width, y: 1.04327*height), control2: CGPoint(x: 2.55238*width, y: 1.125*height))
        path.addCurve(to: CGPoint(x: 2.57143*width, y: 1.43269*height), control1: CGPoint(x: 3.04762*width, y: 1.21635*height), control2: CGPoint(x: 3.01905*width, y: 1.35577*height))
        path.addCurve(to: CGPoint(x: 2.16667*width, y: 1.56731*height), control1: CGPoint(x: 2.41905*width, y: 1.46154*height), control2: CGPoint(x: 2.2381*width, y: 1.51923*height))
        path.addCurve(to: CGPoint(x: 2.04286*width, y: 1.9375*height), control1: CGPoint(x: 2.02857*width, y: 1.65865*height), control2: CGPoint(x: 1.9619*width, y: 1.85577*height))
        path.addCurve(to: CGPoint(x: 1.8381*width, y: 2.16346*height), control1: CGPoint(x: 2.19048*width, y: 2.08654*height), control2: CGPoint(x: 2.04286*width, y: 2.24519*height))
        path.addCurve(to: CGPoint(x: 1.40476*width, y: 2.55769*height), control1: CGPoint(x: 1.66667*width, y: 2.10096*height), control2: CGPoint(x: 1.49524*width, y: 2.25481*height))
        path.addCurve(to: CGPoint(x: 1.49048*width, y: 3.60577*height), control1: CGPoint(x: 1.30476*width, y: 2.89904*height), control2: CGPoint(x: 1.31429*width, y: 2.97596*height))
        path.addLine(to: CGPoint(x: 1.64762*width, y: 4.15865*height))
        path.addLine(to: CGPoint(x: 1.84762*width, y: 4.19712*height))
        path.addCurve(to: CGPoint(x: 1.88095*width, y: 4.46154*height), control1: CGPoint(x: 2.09048*width, y: 4.24519*height), control2: CGPoint(x: 2.1*width, y: 4.31731*height))
        path.addCurve(to: CGPoint(x: 1.78095*width, y: 5.19231*height), control1: CGPoint(x: 1.69048*width, y: 4.58173*height), control2: CGPoint(x: 1.69048*width, y: 4.57692*height))
        path.addCurve(to: CGPoint(x: 1.99524*width, y: 5.77404*height), control1: CGPoint(x: 1.84286*width, y: 5.60577*height), control2: CGPoint(x: 1.86667*width, y: 5.66346*height))
        path.addCurve(to: CGPoint(x: 1.98095*width, y: 6.05769*height), control1: CGPoint(x: 2.19524*width, y: 5.94231*height), control2: CGPoint(x: 2.19048*width, y: 6.05769*height))
        path.addCurve(to: CGPoint(x: 1.7619*width, y: 6.22596*height), control1: CGPoint(x: 1.8381*width, y: 6.05769*height), control2: CGPoint(x: 1.80952*width, y: 6.07692*height))
        path.addCurve(to: CGPoint(x: 1.54762*width, y: 6.19231*height), control1: CGPoint(x: 1.68095*width, y: 6.47596*height), control2: CGPoint(x: 1.63333*width, y: 6.47115*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 9.04762*width, y: 6.30769*height))
        path.addCurve(to: CGPoint(x: 9.11905*width, y: 6.20192*height), control1: CGPoint(x: 9.04762*width, y: 6.28365*height), control2: CGPoint(x: 9.08095*width, y: 6.23558*height))
        path.addCurve(to: CGPoint(x: 9.43333*width, y: 5.66346*height), control1: CGPoint(x: 9.18571*width, y: 6.14423*height), control2: CGPoint(x: 9.2381*width, y: 6.05769*height))
        path.addCurve(to: CGPoint(x: 9.38095*width, y: 5.24038*height), control1: CGPoint(x: 9.55714*width, y: 5.42308*height), control2: CGPoint(x: 9.54762*width, y: 5.36058*height))
        path.addLine(to: CGPoint(x: 9.23333*width, y: 5.13462*height))
        path.addLine(to: CGPoint(x: 9.40476*width, y: 4.94712*height))
        path.addCurve(to: CGPoint(x: 9.57143*width, y: 4.625*height), control1: CGPoint(x: 9.50952*width, y: 4.82692*height), control2: CGPoint(x: 9.57143*width, y: 4.71154*height))
        path.addCurve(to: CGPoint(x: 8.70476*width, y: 3.53846*height), control1: CGPoint(x: 9.56667*width, y: 4.27404*height), control2: CGPoint(x: 9.16667*width, y: 3.76923*height))
        path.addCurve(to: CGPoint(x: 8.10952*width, y: 3.59135*height), control1: CGPoint(x: 8.37619*width, y: 3.375*height), control2: CGPoint(x: 8.30476*width, y: 3.37981*height))
        path.addCurve(to: CGPoint(x: 7.85714*width, y: 3.41827*height), control1: CGPoint(x: 7.91905*width, y: 3.80288*height), control2: CGPoint(x: 7.85714*width, y: 3.76442*height))
        path.addCurve(to: CGPoint(x: 7.5381*width, y: 2.86538*height), control1: CGPoint(x: 7.85714*width, y: 3.22115*height), control2: CGPoint(x: 7.83333*width, y: 3.17788*height))
        path.addCurve(to: CGPoint(x: 6.93333*width, y: 2.40385*height), control1: CGPoint(x: 7.17143*width, y: 2.48077*height), control2: CGPoint(x: 7.12857*width, y: 2.44712*height))
        path.addCurve(to: CGPoint(x: 6.65714*width, y: 1.92308*height), control1: CGPoint(x: 6.8*width, y: 2.37981*height), control2: CGPoint(x: 6.78095*width, y: 2.34615*height))
        path.addCurve(to: CGPoint(x: 6.47619*width, y: 1.42308*height), control1: CGPoint(x: 6.58571*width, y: 1.67308*height), control2: CGPoint(x: 6.50476*width, y: 1.45192*height))
        path.addCurve(to: CGPoint(x: 6.25238*width, y: 1.44712*height), control1: CGPoint(x: 6.44762*width, y: 1.39423*height), control2: CGPoint(x: 6.36667*width, y: 1.40385*height))
        path.addCurve(to: CGPoint(x: 6.07143*width, y: 1.74038*height), control1: CGPoint(x: 6.08095*width, y: 1.51442*height), control2: CGPoint(x: 6.07143*width, y: 1.52885*height))
        path.addCurve(to: CGPoint(x: 6.0381*width, y: 2.0*height), control1: CGPoint(x: 6.07143*width, y: 1.86538*height), control2: CGPoint(x: 6.05714*width, y: 1.98077*height))
        path.addCurve(to: CGPoint(x: 5.7619*width, y: 1.80769*height), control1: CGPoint(x: 5.99048*width, y: 2.04327*height), control2: CGPoint(x: 5.7619*width, y: 1.88942*height))
        path.addCurve(to: CGPoint(x: 5.18095*width, y: 1.64904*height), control1: CGPoint(x: 5.7619*width, y: 1.69231*height), control2: CGPoint(x: 5.49524*width, y: 1.62019*height))
        path.addCurve(to: CGPoint(x: 4.55238*width, y: 1.85096*height), control1: CGPoint(x: 4.97143*width, y: 1.66827*height), control2: CGPoint(x: 4.79048*width, y: 1.72596*height))
        path.addCurve(to: CGPoint(x: 4.15714*width, y: 1.94231*height), control1: CGPoint(x: 4.2381*width, y: 2.01442*height), control2: CGPoint(x: 4.21429*width, y: 2.02404*height))
        path.addCurve(to: CGPoint(x: 4.09524*width, y: 1.74519*height), control1: CGPoint(x: 4.12381*width, y: 1.89423*height), control2: CGPoint(x: 4.09524*width, y: 1.80769*height))
        path.addCurve(to: CGPoint(x: 3.96667*width, y: 1.63462*height), control1: CGPoint(x: 4.09524*width, y: 1.65865*height), control2: CGPoint(x: 4.07143*width, y: 1.63462*height))
        path.addCurve(to: CGPoint(x: 3.74286*width, y: 1.45673*height), control1: CGPoint(x: 3.76667*width, y: 1.63462*height), control2: CGPoint(x: 3.67619*width, y: 1.5625*height))
        path.addCurve(to: CGPoint(x: 4.2619*width, y: 1.35577*height), control1: CGPoint(x: 3.78571*width, y: 1.38462*height), control2: CGPoint(x: 3.87619*width, y: 1.37019*height))
        path.addCurve(to: CGPoint(x: 4.93333*width, y: 1.17308*height), control1: CGPoint(x: 4.71429*width, y: 1.34135*height), control2: CGPoint(x: 4.73333*width, y: 1.33654*height))
        path.addCurve(to: CGPoint(x: 5.2381*width, y: 1.125*height), control1: CGPoint(x: 5.12857*width, y: 1.00962*height), control2: CGPoint(x: 5.2381*width, y: 0.99038*height))
        path.addCurve(to: CGPoint(x: 5.6381*width, y: 1.25*height), control1: CGPoint(x: 5.2381*width, y: 1.23077*height), control2: CGPoint(x: 5.48571*width, y: 1.3125*height))
        path.addCurve(to: CGPoint(x: 5.88095*width, y: 1.20192*height), control1: CGPoint(x: 5.70952*width, y: 1.22596*height), control2: CGPoint(x: 5.81905*width, y: 1.20192*height))
        path.addCurve(to: CGPoint(x: 6.55714*width, y: 1.03846*height), control1: CGPoint(x: 5.94286*width, y: 1.20192*height), control2: CGPoint(x: 6.24286*width, y: 1.12981*height))
        path.addCurve(to: CGPoint(x: 7.37143*width, y: 0.82212*height), control1: CGPoint(x: 6.86667*width, y: 0.94712*height), control2: CGPoint(x: 7.23333*width, y: 0.85096*height))
        path.addCurve(to: CGPoint(x: 7.71429*width, y: 0.65865*height), control1: CGPoint(x: 7.53333*width, y: 0.78846*height), control2: CGPoint(x: 7.6619*width, y: 0.72596*height))
        path.addCurve(to: CGPoint(x: 7.83333*width, y: 0.64904*height), control1: CGPoint(x: 7.8*width, y: 0.55288*height), control2: CGPoint(x: 7.80476*width, y: 0.55288*height))
        path.addCurve(to: CGPoint(x: 8.3*width, y: 1.34615*height), control1: CGPoint(x: 7.90952*width, y: 0.88462*height), control2: CGPoint(x: 8.02857*width, y: 1.0625*height))
        path.addCurve(to: CGPoint(x: 9.07619*width, y: 1.92308*height), control1: CGPoint(x: 8.66667*width, y: 1.72596*height), control2: CGPoint(x: 8.93333*width, y: 1.92308*height))
        path.addCurve(to: CGPoint(x: 9.11905*width, y: 2.30288*height), control1: CGPoint(x: 9.24286*width, y: 1.92308*height), control2: CGPoint(x: 9.25238*width, y: 1.99038*height))
        path.addCurve(to: CGPoint(x: 9.0*width, y: 2.66346*height), control1: CGPoint(x: 9.05238*width, y: 2.46154*height), control2: CGPoint(x: 9.0*width, y: 2.625*height))
        path.addCurve(to: CGPoint(x: 8.85714*width, y: 2.98077*height), control1: CGPoint(x: 9.0*width, y: 2.75962*height), control2: CGPoint(x: 8.9*width, y: 2.98077*height))
        path.addCurve(to: CGPoint(x: 8.69524*width, y: 2.47596*height), control1: CGPoint(x: 8.8*width, y: 2.98077*height), control2: CGPoint(x: 8.72381*width, y: 2.74038*height))
        path.addCurve(to: CGPoint(x: 8.25714*width, y: 1.97596*height), control1: CGPoint(x: 8.65714*width, y: 2.18269*height), control2: CGPoint(x: 8.51429*width, y: 2.01923*height))
        path.addCurve(to: CGPoint(x: 8.04286*width, y: 1.77885*height), control1: CGPoint(x: 8.09524*width, y: 1.94712*height), control2: CGPoint(x: 8.07143*width, y: 1.92788*height))
        path.addCurve(to: CGPoint(x: 6.84762*width, y: 1.25481*height), control1: CGPoint(x: 7.9619*width, y: 1.37981*height), control2: CGPoint(x: 7.21905*width, y: 1.05288*height))
        path.addCurve(to: CGPoint(x: 7.60952*width, y: 2.14423*height), control1: CGPoint(x: 6.57143*width, y: 1.40385*height), control2: CGPoint(x: 7.13333*width, y: 2.06731*height))
        path.addCurve(to: CGPoint(x: 7.80952*width, y: 2.33173*height), control1: CGPoint(x: 7.79524*width, y: 2.17308*height), control2: CGPoint(x: 7.80952*width, y: 2.1875*height))
        path.addCurve(to: CGPoint(x: 8.59048*width, y: 3.02885*height), control1: CGPoint(x: 7.80952*width, y: 2.58654*height), control2: CGPoint(x: 7.97143*width, y: 2.73077*height))
        path.addCurve(to: CGPoint(x: 9.42381*width, y: 3.52885*height), control1: CGPoint(x: 8.9381*width, y: 3.19712*height), control2: CGPoint(x: 9.26667*width, y: 3.39423*height))
        path.addCurve(to: CGPoint(x: 9.81429*width, y: 3.78365*height), control1: CGPoint(x: 9.56667*width, y: 3.65385*height), control2: CGPoint(x: 9.74286*width, y: 3.76923*height))
        path.addLine(to: CGPoint(x: 9.95238*width, y: 3.8125*height))
        path.addLine(to: CGPoint(x: 9.9619*width, y: 4.8125*height))
        path.addCurve(to: CGPoint(x: 9.97143*width, y: 5.87019*height), control1: CGPoint(x: 9.9619*width, y: 5.36538*height), control2: CGPoint(x: 9.96667*width, y: 5.84135*height))
        path.addCurve(to: CGPoint(x: 9.18095*width, y: 6.32212*height), control1: CGPoint(x: 9.97619*width, y: 5.93269*height), control2: CGPoint(x: 9.37619*width, y: 6.27404*height))
        path.addCurve(to: CGPoint(x: 9.04762*width, y: 6.30769*height), control1: CGPoint(x: 9.10476*width, y: 6.34135*height), control2: CGPoint(x: 9.04762*width, y: 6.33654*height))
        path.closeSubpath()
        path.move(to: CGPoint(x: 1.66667*width, y: 3.46635*height))
        path.addCurve(to: CGPoint(x: 1.80952*width, y: 3.14904*height), control1: CGPoint(x: 1.59048*width, y: 3.31731*height), control2: CGPoint(x: 1.60952*width, y: 3.27885*height))
        path.addCurve(to: CGPoint(x: 2.23333*width, y: 2.46635*height), control1: CGPoint(x: 2.05238*width, y: 2.99519*height), control2: CGPoint(x: 2.1381*width, y: 2.86058*height))
        path.addLine(to: CGPoint(x: 2.30952*width, y: 2.13942*height))
        path.addLine(to: CGPoint(x: 2.5381*width, y: 2.13942*height))
        path.addCurve(to: CGPoint(x: 2.81429*width, y: 2.06731*height), control1: CGPoint(x: 2.69048*width, y: 2.13942*height), control2: CGPoint(x: 2.78571*width, y: 2.11538*height))
        path.addCurve(to: CGPoint(x: 3.35714*width, y: 1.11538*height), control1: CGPoint(x: 3.00952*width, y: 1.75481*height), control2: CGPoint(x: 3.25238*width, y: 1.32692*height))
        path.addCurve(to: CGPoint(x: 3.7381*width, y: 0.60096*height), control1: CGPoint(x: 3.42857*width, y: 0.97596*height), control2: CGPoint(x: 3.6*width, y: 0.74519*height))
        path.addLine(to: CGPoint(x: 3.98571*width, y: 0.34135*height))
        path.addLine(to: CGPoint(x: 3.87619*width, y: 0.23558*height))
        path.addCurve(to: CGPoint(x: 4.0381*width, y: 0.02404*height), control1: CGPoint(x: 3.67619*width, y: 0.04327*height), control2: CGPoint(x: 3.72381*width, y: -0.01923*height))
        path.addCurve(to: CGPoint(x: 5.16667*width, y: 0.07692*height), control1: CGPoint(x: 4.18571*width, y: 0.04327*height), control2: CGPoint(x: 4.69524*width, y: 0.06731*height))
        path.addLine(to: CGPoint(x: 6.02381*width, y: 0.09135*height))
        path.addLine(to: CGPoint(x: 6.0619*width, y: 0.25*height))
        path.addCurve(to: CGPoint(x: 6.26667*width, y: 0.61058*height), control1: CGPoint(x: 6.08571*width, y: 0.33654*height), control2: CGPoint(x: 6.17619*width, y: 0.5*height))
        path.addCurve(to: CGPoint(x: 5.84286*width, y: 0.69712*height), control1: CGPoint(x: 6.57143*width, y: 0.98558*height), control2: CGPoint(x: 6.43333*width, y: 1.01442*height))
        path.addCurve(to: CGPoint(x: 5.31905*width, y: 0.48077*height), control1: CGPoint(x: 5.61905*width, y: 0.57692*height), control2: CGPoint(x: 5.38095*width, y: 0.48077*height))
        path.addCurve(to: CGPoint(x: 5.02857*width, y: 0.69712*height), control1: CGPoint(x: 5.2381*width, y: 0.48077*height), control2: CGPoint(x: 5.14762*width, y: 0.54808*height))
        path.addCurve(to: CGPoint(x: 4.68571*width, y: 0.71635*height), control1: CGPoint(x: 4.80476*width, y: 0.96635*height), control2: CGPoint(x: 4.72381*width, y: 0.97115*height))
        path.addCurve(to: CGPoint(x: 4.59048*width, y: 0.49519*height), control1: CGPoint(x: 4.66667*width, y: 0.61058*height), control2: CGPoint(x: 4.62381*width, y: 0.50962*height))
        path.addCurve(to: CGPoint(x: 3.92857*width, y: 0.92308*height), control1: CGPoint(x: 4.49048*width, y: 0.45673*height), control2: CGPoint(x: 4.12381*width, y: 0.69712*height))
        path.addCurve(to: CGPoint(x: 3.59048*width, y: 1.46635*height), control1: CGPoint(x: 3.82857*width, y: 1.03846*height), control2: CGPoint(x: 3.68095*width, y: 1.28365*height))
        path.addLine(to: CGPoint(x: 3.43333*width, y: 1.80288*height))
        path.addLine(to: CGPoint(x: 3.5619*width, y: 1.9375*height))
        path.addCurve(to: CGPoint(x: 3.41905*width, y: 2.20673*height), control1: CGPoint(x: 3.7*width, y: 2.08654*height), control2: CGPoint(x: 3.68095*width, y: 2.125*height))
        path.addCurve(to: CGPoint(x: 2.84286*width, y: 2.62981*height), control1: CGPoint(x: 3.32381*width, y: 2.24038*height), control2: CGPoint(x: 3.06667*width, y: 2.42788*height))
        path.addLine(to: CGPoint(x: 2.43333*width, y: 2.99519*height))
        path.addLine(to: CGPoint(x: 2.4619*width, y: 3.23077*height))
        path.addLine(to: CGPoint(x: 2.49048*width, y: 3.46635*height))
        path.addLine(to: CGPoint(x: 2.32857*width, y: 3.4375*height))
        path.addCurve(to: CGPoint(x: 1.95714*width, y: 3.48077*height), control1: CGPoint(x: 2.22857*width, y: 3.41827*height), control2: CGPoint(x: 2.08571*width, y: 3.4375*height))
        path.addCurve(to: CGPoint(x: 1.66667*width, y: 3.46635*height), control1: CGPoint(x: 1.70476*width, y: 3.57692*height), control2: CGPoint(x: 1.72857*width, y: 3.57692*height))
        path.closeSubpath()
        return path
    }
}
